aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlessandro Barbieri <lssndrbarbieri@gmail.com>2022-05-07 04:10:44 +0200
committerAlessandro Barbieri <lssndrbarbieri@gmail.com>2022-05-07 04:11:22 +0200
commit5259d23ea883b3dd7b79f43f6dd29c3357d2858d (patch)
treebffc08694f7fac6b307014613b5a05e3de92f0c1
parentdev-octave/symbolic: new package, add 2.9.0 (diff)
downloadguru-5259d23e.tar.gz
guru-5259d23e.tar.bz2
guru-5259d23e.zip
octaveforge.eclass: add missing --no-gui, --eval
Signed-off-by: Alessandro Barbieri <lssndrbarbieri@gmail.com>
-rw-r--r--eclass/octaveforge.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/octaveforge.eclass b/eclass/octaveforge.eclass
index 25ac74efcf..d02072fd52 100644
--- a/eclass/octaveforge.eclass
+++ b/eclass/octaveforge.eclass
@@ -209,9 +209,9 @@ octaveforge_pkg_postrm() {
mkdir -p "${OCT_PKGDIR}" || die
fi
cmd="pkg('rebuild');"
- "${OCT_BIN}" -H --silent "${cmd}" || die 'failed to rebuild the package database'
+ "${OCT_BIN}" -H --silent --no-gui --eval "${cmd}" || die 'failed to rebuild the package database'
}
octavecommand() {
- "${OCT_BIN}" -H -q --no-site-file --eval "$1"
+ "${OCT_BIN}" -H -q --no-site-file --no-gui --eval "$1"
}